domingo, 19 de febrero de 2012

Otra actualización urgente (tercera en dos semanas) para productos Mozilla


La fundación Mozilla ha publicado una nueva versión de sus productos para corregir un problema de ejecución de código descubierto por Jueri Aedla en la librería libpng. Puesto que este componente se encuentra en los productos Firefox, Thunderbird y Seamonkey, todos se ven afectados por este grave problema.

El fallo se trata de un desbordamiento de enteros en la función png_decompress_chunk del fichero pngrutil.c de la librería. A la hora de descomprimir ciertas imágenes especialmente manipuladas, se podría producir un desbordamiento de memoria intermedia basado en heap.

Si un usuario abre un fichero PNG (por ejemplo al visitar una web) especialmente manipulado, se podría llegar a ejecutar código arbitrario.

Esta vulnerabilidad ha recibido el CVE-2011-3026 como referencia.

El boletín que recoge este fallo, MFSA2012-11, aparece sólo 6 días después del anterior, que corregía un grave fallo en nsXBLDocumentInfo::ReadPrototypeBindings. A su vez, este aparecía apenas 10 días después del lote anterior de nueve boletines publicado por la fundación el 31 de enero.

Mozilla ha publicado nuevas versiones de sus productos que corrigen esta vulnerabilidad: Firefox 10.0.2, Firefox ESR 10.0.2, Firefox 3.6.27, Thunderbird 10.0.2, Thunderbird ESR 10.0.2, Thunderbird 3.1.19 y Seamonkey 2.7.2

Más información:

Mozilla Foundation Security Advisory 2012-11


Borja Luaces

No hay comentarios:

Publicar un comentario en la entrada